Subject: RE: cross gdb & debugging agent

From: Jungjun Kim <[email-masked]>
Date: Wed, 24 May 2000 17:49:45 +0900

The reason why this happens is that gdb5.0 doesn't include RDI stuffs.
You need to change gdb/Makefile as follows,

for gdb/Makefile

    609 DEPFILES = $(TDEPFILES) $(XDEPFILES) $(SER_HARDWIRE) $(NATDEPFILES) \
    610        $(REMOTE_OBS) $(SIM_OBS) $(CONFIG_OBS) remote-rdi.o

    783 gdb$(EXEEXT): main.o libgdb.a rdi-share/libangsd.a $(ADD_DEPS) $(CDEPS)
$(TDEPLIBS)

and change directory to gdb/rdi-share, make configuration, and run 'make',
then you get libangsd.a library.

I don't know why they don't include this target .

Jungjun Kim

> Thank you for the info. I have the ANGEL Debugger running on the board.
> Next I tried the command u specified: but it says undefined target
> commmand rdi. Next I tried the command: target remote /dev/ttyS0 , but I
> get the message saying could not open connectoin with the remote target.
> 
> What is the solution to the problem?
> 
> Regards,
> Lavu Sridhar
> 
> On Wed, 24 May 2000, Jungjun Kim wrote:
> >
> >First you need to have debugging agent on target board.
> >I'm using ANGEL as a debugging agent, and the origianl source of ANGEL can be
> >found in ARM SDT.
> >Maybe you need to port ANGEL if you want to use it as a debugging agent.
> >There are some documents about porting in ARM site.
> >Once you get ANGEL for your target board, gdb can be connect to target board
> >using serial port.
> >   (gdb) target rdi /dev/ttyS0
> >
> >And I was told that it is not difficult to implement gdb original remote
> >protocol.
> >Anyway, once you get a debugging agent for your board, you can connect to
> >target board and you can download linux image on the board.
> >
> >Jungjun Kim
> >
> >> hello,
> >> 
> >> I have downloaded the gdb 5.0 version and installed it on my Linux PC. The
> >> board had the ARM debugger running on it. I have also compiled the
> >> arm linux 2.3.99 kernel. How do I download this image into the board using
> >> the gdb??
> 
> 

unsubscribe: body of `unsubscribe linux-arm' to [email-masked]
++        Please use [email-masked] for           ++
++                        kernel-related discussions.                      ++

---

From: Lavu Sridhar <[email-masked]>
Date: Wed, 24 May 2000 15:05:28 +0530 (IST)

I have made the chages in the Makefile in gdb directory. After that in
directory rdi-share i executed the following commands: 

./configure
make 

And when i gave the instruction target rdi /dev/ttyS0 in gdb, it is still
saying that it cannot recognize the rdi command.

regards,
-lavu sridhar